Home  |  Message Board  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
Dustbin_Man Posted on 06/08/2020 21:40
Mortgage question
 
Its up for renewal, have just made a 10% over payment to get to 79% LTV.

Whats your opinions on what type of mortgage to take on now?

Go for a 5 Yr fixed or a 2yr tracker??

What do you think the interest rates are going to do over the next few years, are we gonna fall off the financial cliff edge or recover and look back at all this Coronavirus and think that we recovered quickly.

All advice considered, thanks.
IP: Logged
Abel_Tasman Posted on 06/08/2020 21:46

Mortgage question
Cant see interest rates increasing for another 2 years. In fact there was discussion this morning that they may go into negative territory!

Mortgage demand will also fall as unemployment rises - so don't see much point yet in fixing for 5 years just yet in my opinion.
IP: Logged
Dustbin_Man Posted on 06/08/2020 22:25

Mortgage question
I was edging towards a 5 yr fixed in order to lock in what I thought might be a good deal. I suppose there is sufficient doom and gloom predicted to keep the rates low. Maybe I should start considering a 2nyr tracker and then maybe a fix after that?

Thanks, got an appointment with a couple of mortgage advisors and a night or two in the pub over the weekend for further advice.
IP: Logged
EpiphanyProudfoot Posted on 06/08/2020 22:53

Mortgage question
Apply for 46.000. Same as a Stadium of Light attendance.
IP: Logged
Taxijoe Posted on 06/08/2020 23:41

Mortgage question
Same but opposite problem, having a few ŁK in a SIPP. Sell, buy, bonds, stocks, gold, even just keep it in ready cash. It's a minefield.

But people are in much worse position than us, so I personally am thankful for small mercies.
IP: Logged
bungydinsdale Posted on 07/08/2020 05:10

Mortgage question
I always have half of mine fixed for two or three years (which ever gives best rate when I'm renewing) and the other half floating, in case I get any extra cash to pay it off quicker, or extend it so I can come home to watch the Boro in cup finals or play offs etc.
That way I have the certainty of half of it and the flexibility of being able to pay (some) of the other half off (with increased payments of one off lumper) or extend it.
Mind you since the Norwich play off final I haven't needed to extend it and have paid most of that half off now.
IP: Logged
1834 Posted on 07/08/2020 09:23

Mortgage question
we changed mortgage about 3 yrs ago to a 'offset' mortgage -
if you have savings it offsets them against the outstanding mortgage,also takes into account what you have in your current accounts - basically if you take away your savings and whats in your current account from the outstanding mortgage amount you only pay interest on the difference- its calculated daily - we have knocked an extra 11 months off our mortgage over 3 yrs - wished we did it years ago
IP: Logged
TeeSv Posted on 07/08/2020 11:12

Mortgage question
I've had a number of different mortgage's over the years including an offset mortgage which was the best thing I ever did.
IP: Logged
Abel_Tasman Posted on 08/08/2020 08:41

Mortgage question
Interesting article in the Times this morning about Mortgages.

Link: Difficult mortgage market
IP: Logged
Vzzzbx Posted on 08/08/2020 12:11

Mortgage question
"Apply for 46.000. Same as a Stadium of Light attendance."

You realise 46.000 is 46, right?!
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2020 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103